﻿@model FinnotechIdVerificationViewModel
@{
    ViewBag.Title = "صحت سنجی کارت ملی";
}

@section head{
    @Styles.Render("~/css/magnifierjs")
}

@if (Model.VerificationMedia != null)
{
    <div class="card-box">
        <div class="row">
            <div class="col-md-12">
                <img id="verification-media" class="img-fluid" src="@Model.VerificationMedia.Thumbnails.ImgSrc("verify.large")" />
            </div>
        </div>
    </div>
}

<div class="card-box">
    <h4 class="m-t-0 header-title"><b>@ViewBag.Title</b></h4>

    <p class="text-muted m-b-30 font-13">
        همه اطلاعات باید فارسی وارد شود.
    </p>
    <form method="post" id="idVerificationForm">
        @Html.ValidationSummary()
        @if (!Model.UserId.HasValue)
        {
            <div class="col-md-12">
                <div class="form-group">
                    <label for="UserId">جستجوی کاربر</label>
                    <select class="form-control" id="UserId" name="UserId"></select>
                </div>
            </div>
        }
        else
        {
            @Html.HiddenFor(p => p.UserId)
        }
        <div class="row">
            <div class="col-md-4">
                <div class="form-group">
                    @Html.LabelFor(m => m.NationalCode)
                    @Html.TextBoxFor(m => m.NationalCode, new { @class = "form-control" })
                </div>
            </div>
            <div class="col-md-4">
                <div class="form-group">
                    @Html.LabelFor(m => m.FirstName)
                    @Html.TextBoxFor(m => m.FirstName, new { @class = "form-control" })
                </div>
            </div>
            <div class="col-md-4">
                <div class="form-group">
                    @Html.LabelFor(m => m.LastName)
                    @Html.TextBoxFor(m => m.LastName, new { @class = "form-control" })
                </div>
            </div>
            <div class="col-md-6">
                <div class="form-group">
                    @Html.LabelFor(m => m.BirthDate)
                    @Html.TextBoxFor(m => m.BirthDate, new { @class = "form-control" })
                </div>
            </div>
            <div class="col-md-6">
                <div class="form-group">
                    @Html.LabelFor(m => m.FatherName)
                    @Html.TextBoxFor(m => m.FatherName, new { @class = "form-control" })
                </div>
            </div>
        </div>
        <input type="hidden" id="confirmed" name="confirmed" value="0" />
        <input type="hidden" id="new" name="new" value="0" />
        <input type="hidden" id="json" name="json" value="0" />
        <button type="submit" class="btn btn-success"><span class="fa fa-search"></span> بررسی تاریخچه</button>
        <button type="submit" id="newBtn" class="btn btn-primary"><span class="fa fa-search"></span> بررسی جدید</button>
        <button type="submit" id="jsonBtn" class="btn btn-secondary"><span class="fa fa-search"></span> نتیجه Json</button>
    </form>
</div>

@section scripts{
    @Scripts.Render("~/js/magnifierjs")
    <script type="text/javascript">
        $('#newBtn').on('click', function () {
            $('#new').val(1);
        });
        $('#jsonBtn').on('click', function () {
            $('#new').val(1);
            $('#json').val(1);
        });
        var userId = @(Model.UserId.HasValue ? Model.UserId.Value : 0)
        $('#idVerificationForm').on('submit', function (e) {
            var confirmed = parseInt($('#confirmed').val()) === 1;
            console.log(confirmed);
            if (confirmed) {
                return true;
            }
            e.preventDefault();
            confirmDialog("هزینه استعلام 250 تومان است. آیا اطلاعات به فارسی و به درستی وارد شده است؟", function () {
                $('#confirmed').val("1");
                $('#idVerificationForm').submit();
                $('button[type="submit"]').addClass('disabled').attr('disabled', 'disabled');
            });
            return false;
            });
        $('#UserId').on('change', function () {
            doAjax({ id: $('#UserId').val() }, "@Url.Action("IdVerificationUser","User")", function (data) {
                if (data.Status) {
                    $('#FirstName').val(data.FirstName);
                    $('#LastName').val(data.LastName);
                    $('#FatherName').val(data.FatherName);
                    $('#NationalCode').val(data.NationalCode);
                    $('#BirthDate').val(data.BirthDate);
                }
            });
        });
        if (userId == 0) {
            @*$('#UserId').select2({
                ajax: {
                    url: '@Url.Action("Select2Ajax","User")',
                    dataType: 'json'
                    // Additional AJAX parameters go here; see the end of this chapter for the full code of this example
                }
            });*@
            $('#UserId').select2({
                language: "fa",
                dir: "rtl",
                delay: 250,
                width: "100%",
                ajax: {
                    url: '@Url.Action("Select2Ajax","User")',
                    data: function (params) {
                        var query = {
                            search: params.term
                        }

                        // Query parameters will be ?search=[term]
                        return query;
                    },
                    processResults: function (data) {
                        // Tranforms the top-level key of the response object from 'items' to 'results'
                        return {
                            results: data
                        };
                    }
                }
            });
        }
    </script>
}